DECLARE SUB Stats ()
DECLARE SUB CannotGo ()
DECLARE SUB Hallway1 ()
DECLARE SUB CannotDo ()
DECLARE SUB Help ()
DECLARE SUB Inventory ()
DECLARE SUB Quit ()
DECLARE SUB RestoreInGame ()
DECLARE SUB SaveGame ()
'$INCLUDE: 'c:\bc7\programs\cyber\global.bi'             

SUB Slab2

RestoreRoom = 14
Room:
  CLS
  PRINT "You are in another room with a slab, much like the one you woke in.  On the"
  PRINT "slab in this room is a body, apparently dead.  The room is even colder than"
  PRINT "the one you were in.  The only exit is the heavy metal door to the north."
Command:
  LINE INPUT "> "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "NORTH" OR a$ = "GO NORTH" THEN Hallway1
  IF a$ = "S" OR a$ = "SOUTH" OR a$ = "GO SOUTH" THEN CannotGo: GOTO Command
  IF a$ = "E" OR a$ = "EAST" OR a$ = "GO EAST" THEN CannotGo: GOTO Command
  IF a$ = "W" OR a$ = "WEST" OR a$ = "GO WEST" THEN CannotGo: GOTO Command
  IF a$ = "STATS" THEN Stats: GOTO Command
  IF a$ = "SEARCH" OR a$ = "SEARCH ROOM" THEN GOTO SearchRoom: GOTO Command
  IF a$ = "LOOK" THEN GOTO Room: GOTO Command
  IF a$ = "HELP" OR a$ = "?" THEN Help: GOTO Room
  IF a$ = "QUIT" OR a$ = "EXIT" THEN Quit: GOTO Command
  IF a$ = "I" OR a$ = "INVENTORY" THEN Inventory: GOTO Command
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO Command
  IF a$ = "RESTORE" OR a$ = "RESTORE GAME" THEN RestoreInGame: GOTO Command
  IF a$ = "LOOK BODY" OR a$ = "SEARCH BODY" OR a$ = "LOOK SLAB" THEN GOTO SearchBody
  IF a$ = "GET BODY" THEN PRINT "It would be too suspicious to carry around a corpse.": GOTO Command
  IF a$ = "GET SLAB" THEN PRINT "It's bolted to the floor.": GOTO Command
  IF a$ = "LOOK SLAB" THEN PRINT "It's an icy slab of metal bolted to the floor.": GOTO Command
  IF a$ = "OPEN DOOR" THEN PRINT "The door is propped about an inch open.": GOTO Command
  CannotDo
  GOTO Command

SearchRoom:
  PRINT "You don't find anything of interest except for the mysterious body."
  GOTO Command

SearchBody:
  PRINT "The body is that of a male in his mid-thirties.  His palor is waxy and"
  PRINT "drawn, and you are unsure if he is even alive.  You touch his neck, feeling"
  PRINT "for a pulse, but you find none.  You look down at the body.  You were like"
  PRINT "that.  Just what is going on?"
  GOTO Command
END SUB

